Bug 963645 - TextProgress.start() method has incompatible signature
TextProgress.start() method has incompatible signature
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
20
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: 963023
  Show dependency treegraph
 
Reported: 2013-05-16 06:12 EDT by Zdeněk Pavlas
Modified: 2014-10-07 19:31 EDT (History)
7 users (show)

See Also:
Fixed In Version: livecd-tools-19.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 19:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (710 bytes, patch)
2013-05-16 06:12 EDT, Zdeněk Pavlas
no flags Details | Diff

  None (edit)
Description Zdeněk Pavlas 2013-05-16 06:12:57 EDT
Created attachment 748718 [details]
fix

Description of problem:

livecd-creator supplies invalid callback to Yum, resulting in a TypeError when rebuilding RPMs from deltas.  This breaks livecd-creator when using presto plugin, or recent yum that has drpm support integrated and turned on by default.

How reproducible:

See BZ 963023

Additional info:

The "filename" and "url" arguments should be optional, as defined in class urlgrabber.progress.BaseMeter.  Also, it's okay to omit the url and use text instead.  I've added a workaround to Yum to avoid the traceback, but it probably results in "Retrieving None...OK" message, so it should be fixed there instead.
Comment 1 Fedora End Of Life 2013-09-16 12:58:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.